Top > Eclipse > エラー
HTML convert time to 0.001 sec.


Eclipse/エラー

Last-modified: 2009-11-17 (火) 19:35:37

以前使っていたEclipseのプロジェクトを新しいEclipseにインポートしました。その際に、以下のメッセージが出力されました。
「ビルド・パスが不完全であるため、プロジェクトはビルドされませんでした。java.lang.Objectのクラス・ファイルが見つかりません。ビルド・パスを修正してから、このプロジェクトをビルドしてください」
環境:Eclipse3.4、JDK1.6.0_16

ビルドパスを確認したところ、JREシステムライブラリーが古いものでした。→JDK1.5.0_15を参照
古いJREシステムライブラリーを除去して、新しいJREシステムライブラリーを追加しました。
【手順】
1.プロジェクトを右クリック→ビルド・パス→ビルド・パスの構成
2.「ライブラリー」タブを選択
3.「ライブラリーの追加」を選択
4.JREシステム・ライブラリーを選択して、「次へ」
5.「ワークスペースのデフォルトJRE(1.6.0_16)」(既定)を選択し、「完了」